<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".activity.SearcherActivity">

    <LinearLayout
        android:id="@+id/linearLayout3"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_30"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:id="@+id/iv_back"
            android:layout_width="20dp"
            android:layout_height="20dp"
            android:layout_gravity="center_vertical"
            android:layout_marginStart="@dimen/dp_8"
            android:layout_marginEnd="@dimen/dp_8"
            android:adjustViewBounds="true"
            android:onClick="finish"
            android:scaleType="centerInside"
            android:src="@drawable/ic_back" />

        <RelativeLayout
            android:id="@+id/search_layout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginEnd="@dimen/dp_8"
            android:layout_weight="1"
            android:visibility="visible">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/search_ll"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_32"
                android:layout_centerInParent="true"
                android:gravity="center_vertical">

                <ImageView
                    android:id="@+id/imageView4"
                    android:layout_width="@dimen/dp_10"
                    android:layout_height="@dimen/dp_20"
                    android:gravity="center_vertical"
                    android:src="@drawable/shap_search_left"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <ImageView
                    android:id="@+id/imageView6"
                    android:layout_width="@dimen/dp_10"
                    android:layout_height="@dimen/dp_20"
                    android:adjustViewBounds="true"
                    android:background="@color/search"
                    android:scaleType="centerInside"
                    android:src="@drawable/ic_menu_search"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toEndOf="@+id/imageView4"
                    app:layout_constraintTop_toTopOf="parent" />

                <EditText
                    android:id="@+id/edit_search"
                    android:layout_width="0dp"
                    android:layout_height="@dimen/dp_20"
                    android:background="@color/search"
                    android:gravity="center_vertical"
                    android:hint="@string/search_edit"
                    android:padding="@dimen/dp_2"
                    android:textColor="@color/black"
                    android:textSize="@dimen/sp_8"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toStartOf="@+id/tv_search"
                    app:layout_constraintStart_toEndOf="@+id/imageView6"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/tv_search"
                    android:layout_width="wrap_content"
                    android:layout_height="@dimen/dp_20"
                    android:text="搜索"
                    android:textSize="@dimen/sp_9"
                    android:gravity="center"
                    android:paddingEnd="@dimen/dp_8"
                    android:textColor="@color/default_color"
                    android:background="@drawable/shap_search_right"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />
            </androidx.constraintlayout.widget.ConstraintLayout>
        </RelativeLayout>
    </LinearLayout>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/recyclerView"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:overScrollMode="never"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/linearLayout3"
        tools:listitem="@layout/item_app" />
</androidx.constraintlayout.widget.ConstraintLayout>